Kerbal Space Program - Bug #831

Can't create maneuver node after encounter
07/02/2013 05:28 PM - AndreyATGB

Status: Closed Start date: 07/02/2013
Severity: Low % Done: 100%
Assignee:

Category: Controls and Ul

Target version:

Version: 0.23.5 Language: English (US)
Platform: Any Mod Related: No
Expansion:

Description

Sometimes after getting an encounter, | cannot create a maneuver node in an area that's close to the post-encounter orbit line, i.e.
the tiny blue sphere indicating the point I'm currently pointing at with the mouse doesn't appear but instead it appears on the purple
line (the one after the encounter happens) even though my mouse pointer isn't anywhere near to it. Easiest way to replicate is to get
an encounter with a planet from solar orbit. If the two lines in map view get close to each other, sometimes creating a node on the
current orbit (blue one) is impossible. This also happens in SOI changes (during an encounter). It has happened every time | went to
Jool, as soon as | enter the system, | can't create any nodes right away. Sometimes the problem goes away if | time warp and try
while warping, but that doesn't always happen. The only reliable way to get past it is to simply time warp until it fixes itself or use a
mod to create a node somewhere on my orbit.

History

#1 - 07/03/2013 08:28 AM - LePwnerer
- Status changed from New to Not a Bug

- % Done changed from 0 to 100

As far as i can tell this is not really a Bug. Before adding a Node try removing your first Node. So Basically follow this Scenario:

1. Orbit Kerbin

2. Set Maneuver Node for Jool or any other Planet till encounter(Purple line)

3. Now Execute the Maneuver and after doing the Burn just remove it. you are already on the right way and as soon as the encounter starts you
should automatically change to the view of the desired object where you then can add a new maneuver to as an example get a stable orbit.

#2 - 07/03/2013 08:32 AM - AndreyATGB

No, this isn't because there are two nodes, after an encounter is set and no nodes are present a new one can't be created if the two lines are close.

#3 - 01/10/2014 10:55 PM - TruePikachu

(I can't re-open bug, requesting change to Confirmed)
| would state that this is a bug, with regard to handling how maneuver nodes are added and manipulated to the traces, if said traces are very close to
each other (see also #2029)

It appears that nodes tend to prefer the stable trace after an encounter. This is likely because it is calculated after the current trace, so might be
higher in the virtual framebuffer (if anyone knows what | mean when | say that).

A possible solution, if it is possible to detect both traces, would be to use a key (maybe Tab) to select between the two when the cursor is near (this is
TI's solution on the nSpire handheld). Another solution could be to ask which trace is intended (Scribblenaut's solution for words with multiple
meanings), but this isn't as smooth a solution. A third solution, which would accomplish it in a roundabout way, would be to allow one to make the
node off the intersection, and then drag it into place without it jumping to the other trace. A fourth could be to prioritise the current trace unless there is
a node later on the trace.

No matter the solution used, the problem gets pretty annoying.

#4 - 01/11/2014 05:53 AM - AndreyATGB

Also would like to add this is still present in 0.23, TruePikachu is describing the same problem | did in the OP.
#5 - 01/12/2014 12:52 AM - TruePikachu

I'm not entirely sure about my surmised internal analyses now, because | might have encountered the bug in a non-overlapping system (I was in
Mun's Sol, and couldn't add a point to the internal trace, despite it not being anywhere near the stable trace).
https://bugs.kerbalspaceprogram.com/issues/2029

Oddily enough, | only had this happen the one time; earlier today, | was putting nodes all around the Mun without issues, but | couldn't put down a
node my last flight. | wasn't able to check what would happen if | would remain in orbit around Mun, however, because of my speed and single ion
thruster.

#6 - 03/16/2014 07:27 AM - Lysius

| also have this problem with Version 0.23 on Linux. Often when | enter the SOI of some object, | can not set a maneuver node right away. Sometimes
it is possible to set a maneuver node further down the trajectory and drag that node to the desired position, but not always.
This bug should definitely be reopened (and fixed).

#7 - 05/24/2014 04:10 PM - Supernovy

- Status changed from Not a Bug to Confirmed
- % Done changed from 100 to 10

- Version changed from 0.20.2 to 0.23.5

#8 - 09/06/2014 04:26 PM - wcoenen

| just had this problem in version 0.24.2

#9 - 11/02/2014 09:29 PM - zyphlar

| had a very similar issue; | would suggest that in the Mun Orbit training scenario, that the helptext be updated to remind you to remove old maneuver
nodes. | managed to forget to remove one and this was the first result on google; removed the extra node, now it works as expected. (Or, maybe have
an error when trying to click an orbit when there are too many maneuvers active?)

#10 - 11/18/2014 03:42 PM - wcoenen

Still exists in version 0.25.0.

| now use the following work-around:

1) install the precise node mod

2) Put a maneuver on the post-encounter trajectory (near where you actually want it on the pre-encounter trajectory)

3) click the "0" button in the precise node window to access the options and enable "Use x10 UT increment". This enables "-/+ orb" buttons for the

maneuver time.
4) click the "-Orb" button. The maneuver is now on the pre-encounter trajectory instead of post-encounter. Success!

#11 - 11/20/2014 07:32 PM - Ruedii
- Platform Any added
- Platform deleted (Windows)

I've observed this bug for a long time, and treated it as a quirk.
It seems the charted line does not line up with the mouse-over point for nodes when you are that far out. I'm not sure why that is.

A workaround that doesn't use mods is to place the node further down the line, then drag it back to where you want it.

#12 - 11/24/2014 05:30 PM - wcoenen
- File test.zip added

@Ruedii: your work-around doesn't work for me. I'm attaching a save with a single vehicle on route to an encounter with Eve. Try putting a maneuver
node anywhere on the blue pre-encounter trajectory, either directly or by dragging one around. | am unable to; the maneuver node always ends up on
the post-encounter trajectory.

#13 - 12/17/2014 01:58 PM - wcoenen

| could still reproduce the issue in KSP 0.90.0.705 with the previously attached save.

#14 - 01/19/2015 03:06 AM - baranowb

| still face this. (I have quite few mods in though). Though in most cases it is triggered when | encounter Minmus. Steps:

0. I have MechJeb and few parts mods(B9, KW, NearFuture,...) along with others.

1. enter orbit of Kerbin

2. match planes with minmus

3. Execute Hohmann transfer via node planer - though its a bit modified version( less delta-v so | can perform breaking manuver near Minmus and
use its gravity to pull me towards it)

4. wait and look when ship accelerates

- orbit unfolds properly

- cyan orbit disappears and violet one kicks in. It unfolds few times from Periapsis( very fast, sometimes skips unfolding and just gets bigger in jumps)
5. Once ships stop accelerating | get two orbits, now it depends, either | can not add any new maneuver( ever) or | can, when Im able to it gets weird.
When | add it, orbit flickers and boom, new node is gone, but not entirely - it appears on new, green orbit(more or less circular, but not tied to Kerbin,
out side of its area of influence) somewhere in the outskirts of system.

#15 - 11/19/2015 06:16 PM - sal_vager

- Severity changed from Normal to Low

This can be worked around by changing focus to the planet/moon you wish to place a maneuver node around.

#17 - 07/17/2016 09:40 AM - TriggerAu
- Status changed from Confirmed to Needs Clarification

- % Done changed from 10 to 0

#18 - 08/07/2016 11:40 AM - TriggerAu
- Status changed from Needs Clarification to Closed

- % Done changed from 0 to 100

Closing this report out for now. If you find it is still occuring in the latest version of KSP please open a new report (and this one can be linked to it.) For
best results, the wiki contains really useful info for when creating a report http:/bugs.kerbalspaceprogram.com/projects/ksp/wiki.

You can also ask questions about the bug cleanup in the forum here:
http://forum.kerbalspaceprogram.com/index.php?/topic/143980-time-to-clean-up-the-bug-tracker/ and tag @TriggerAu to get my attention

Files

test.zip 11.5KB 11/24/2014 wcoenen
